com.ibm.openpages.api.questionnaire

## Class CopyAssessmentOptions

- java.lang.Object
- - com.ibm.openpages.api.questionnaire.CopyAssessmentOptions

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    LaunchProgramOptions

      public class CopyAssessmentOptions
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CopyAssessmentOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getQuestionnaireAssessmentTypeName()`
    `java.lang.String` | `getQuestionnaireTemplateTypeName()`
    `boolean` | `isAddCopiedFromComment()`
    `boolean` | `isCopyQuestionAttachments()`
    `boolean` | `isCopyQuestionComments()`
    `boolean` | `isOverwriteAnswers()`
    `void` | `setAddCopiedFromComment(boolean addCopiedFromComment)` Sets if add copied from comment
    `void` | `setCopyQuestionAttachments(boolean copyQuestionAttachments)` Sets if copy question attachments
    `void` | `setCopyQuestionComments(boolean copyQuestionComments)` Sets if copy question comments
    `void` | `setOverwriteAnswers(boolean overwriteAnswers)` Sets if any existing answers should be replaced by copied answers
    `void` | `setQuestionnaireAssessmentTypeName(java.lang.String questionnaireAssessmentTypeName)` Sets type definition name of the questionnaire assessment.
    `void` | `setQuestionnaireTemplateTypeName(java.lang.String questionnaireTemplateTypeName)` Sets type definition name of the questionnaire template.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CopyAssessmentOptions

          public CopyAssessmentOptions()

  - ### Method Detail

    - #### getQuestionnaireTemplateTypeName

          public java.lang.String getQuestionnaireTemplateTypeName()

      Returns:
        type definition name of the questionnaire template

    - #### setQuestionnaireTemplateTypeName

          public void setQuestionnaireTemplateTypeName(java.lang.String questionnaireTemplateTypeName)

      Sets type definition name of the questionnaire template. In case you want to configure your own template object, this set method can be called.

    - #### getQuestionnaireAssessmentTypeName

          public java.lang.String getQuestionnaireAssessmentTypeName()

      Returns:
        type definition name of the questionnaire assessment

    - #### setQuestionnaireAssessmentTypeName

          public void setQuestionnaireAssessmentTypeName(java.lang.String questionnaireAssessmentTypeName)

      Sets type definition name of the questionnaire assessment. In case you want to configure your own assessment object, this set method can be called.

    - #### isCopyQuestionComments

          public boolean isCopyQuestionComments()

      Returns:
        if copy question comments

    - #### setCopyQuestionComments

          public void setCopyQuestionComments(boolean copyQuestionComments)

      Sets if copy question comments
      Parameters:
        `copyQuestionComments` -

    - #### isCopyQuestionAttachments

          public boolean isCopyQuestionAttachments()

      Returns:
        if copy question attachments

    - #### setCopyQuestionAttachments

          public void setCopyQuestionAttachments(boolean copyQuestionAttachments)

      Sets if copy question attachments
      Parameters:
        `copyQuestionAttachments` -

    - #### isAddCopiedFromComment

          public boolean isAddCopiedFromComment()

      Returns:
        if add copied from comment

    - #### setAddCopiedFromComment

          public void setAddCopiedFromComment(boolean addCopiedFromComment)

      Sets if add copied from comment
      Parameters:
        `addCopiedFromComment` -

    - #### isOverwriteAnswers

          public boolean isOverwriteAnswers()

      Returns:
        if any existing answers should be replaced by copied answers

    - #### setOverwriteAnswers

          public void setOverwriteAnswers(boolean overwriteAnswers)

      Sets if any existing answers should be replaced by copied answers
      Parameters:
        `overwriteAnswers` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.